Bug 862816 - [RFE] Write some controller locale tests
[RFE] Write some controller locale tests
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 11:39 EDT by David Davis
Modified: 2013-03-27 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 14:10:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Davis 2012-10-03 11:39:38 EDT
Write some tests to cover the locale code in application_controller. Also, write a way in rspec to change the locale (you'll probably end up doing this automatically when you write the new locale specs). Lastly remove the set_default_locale method and calls as we're now setting the locale before all methods in spec_helper.rb.
Comment 1 David Davis 2012-10-03 11:40:22 EDT
To summarize the second task: we need a standardized way to set the locale for controller tests.
Comment 4 David Davis 2013-01-22 14:10:34 EST
I'm going to close this as unneeded. We can re-eval later.

Note You need to log in before you can comment on or make changes to this bug.